<!DOCTYPE html>
<html ng-app="courseListApp">
<head>
    <meta charset="UTF-8">
    <title>Course List</title>
    <script src="Libraries/angular.js"></script>
    <link rel="stylesheet" href="Libraries/bootstrap.css">
    <link rel="stylesheet" href="Libraries/bootstrap-theme.css">

    <script>
        var model = {
            user: "User1",
            courses: [{name: "HTML, CSS", passed: "Yes"},
                {name: "JavaScript Essential", passed: "Yes"},
                {name: "JavaScript Advanced", passed: "Yes"},
                {name: "HTML5 &amp; CSS3", passed: "No"},
                {name: "AngularJS", passed: "No"}]
        };

        var courseListApp = angular.module("courseListApp",[]);
        courseListApp.controller("CourseListCtrl", function ($scope) {
            $scope.data = model;
        });
    </script>
</head>
<body ng-controller="CourseListCtrl">
<div class="container">
    <div class="page-header">
        <h1>
            Планировщик курсов.
        </h1>
        <h3>Пользователь: {{data.user}}. Количество курсов - {{data.courses.length}}</h3>
    </div>
    <div class="panel">
        <div class="input-group">
            <input class="form-control"></input>
            <span class="input-group-btn">
               <button class="btn btn-default">Добавить</button>
            </span>
        </div>

        <table class="table table-hover">
            <thead>
            <tr>
                <th>Курс</th>
                <th>Пройден</th>
            </tr>
            </thead>
            <tbody>
               <tr ng-repeat="course in data.courses">
                   <td>{{course.name}}</td>
                   <td>{{course.passed}}</td>
               </tr>
            </tbody>
        </table>

    </div>
</div>

</body>
</html>